%define upstream_name    String-ToIdentifier-EN
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Convert Strings to Unicode English Program
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/String/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: perl-Lingua-EN-Tagger < 0.250.0-4
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Lingua::EN::Inflect::Phrase)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Unidecode)
BuildRequires: perl(Unicode::UCD)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

# Provides bogus Text::Unidecode
BuildConflicts: texinfo

%description
This module provides a utility method, the /to_identifier manpage for
converting an arbitrary string into a readable representation using the
ASCII subset of '\w' for use as an identifier in a computer program. The
intent is to make unique identifier names from which the content of the
original string can be easily inferred by a human just by reading the
identifier.

If you need the full set of '\w' including Unicode, see the subclass the
String::ToIdentifier::EN::Unicode manpage.

Currently, this process is one way only, and will likely remain this way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.120.0-3.mga8
+ Revision: 1506196
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.120.0-2.mga7
+ Revision: 1286209
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 0.120.0-1.mga7
+ Revision: 1207284
- update to 0.12

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-8.mga6
+ Revision: 1033425
- Rebuild for perl 5.22.2

* Thu Mar 31 2016 tv <tv> 0.110.0-7.mga6
+ Revision: 997227
- BuildConflicts with bogus version of perl-Lingua-EN-Tagger (thus fixing testsuite)

* Thu Feb 18 2016 umeabot <umeabot> 0.110.0-6.mga6
+ Revision: 965079
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 790368
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-4.mga5
+ Revision: 739177
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 686255
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 533438
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 473029
- update to 0.11

* Mon Jun 10 2013 jquelin <jquelin> 0.100.0-1.mga4
+ Revision: 441738
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 372851
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.90.0-1.mga3
+ Revision: 315843
- update to 0.09

* Wed Sep 26 2012 jquelin <jquelin> 0.80.0-1.mga3
+ Revision: 298335
- update to 0.08

* Mon Mar 05 2012 jquelin <jquelin> 0.70.0-1.mga2
+ Revision: 218802
- update to 0.07

* Sat Nov 26 2011 kharec <kharec> 0.60.0-1.mga2
+ Revision: 172231
- update to 0.06

* Wed Nov 09 2011 jquelin <jquelin> 0.50.0-1.mga2
+ Revision: 165766
- imported package perl-String-ToIdentifier-EN


* Wed Nov 09 2011 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
